>From 3c62820eb0c539054217553ae10f4e4a2ff04987 Mon Sep 17 00:00:00 2001
From: Erik Van Grunderbeeck <erik@arawix.com>
Date: Tue, 22 Mar 2011 11:45:55 +0100
Subject: [PATCH 6/6] JAVA_HOME on windows points to the install path of the java JDK.

Signed-off-by: Erik Van Grunderbeeck <erik@arawix.com>
---
 src/libbluray/bdj/bdj.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

diff --git a/src/libbluray/bdj/bdj.c b/src/libbluray/bdj/bdj.c
index 42094e6..725d2fe 100644
--- a/src/libbluray/bdj/bdj.c
+++ b/src/libbluray/bdj/bdj.c
@@ -195,7 +195,11 @@ void* load_jvm()
         return NULL;
     }
 
+#ifdef WIN32
+    char* path = str_printf("%s/jre/bin/server/jvm", java_home);
+#else	//	#ifdef WIN32
     char* path = str_printf("%s/jre/lib/%s/server/libjvm", java_home, JAVA_ARCH);
+#endif	//	#ifdef WIN32
 
     return dl_dlopen(path, NULL);
 }
-- 
1.7.0.2.msysgit.0

